#ifndef FEEDSEARCHRESULTSREPLY_H
#define FEEDSEARCHRESULTSREPLY_H
#include "googlereaderreply.h"
#include <QStringList>

namespace GoogleReader
{
class FeedSearchResultsReply : public GoogleReaderReply
{
    Q_OBJECT
public:
    explicit FeedSearchResultsReply();
    QStringList feedTitles() const;
    QStringList feedUrls() const;
    WebServiceReply::Role role() const;

private:
    QStringList m_feedTitles;
    QStringList m_urls;

    friend class GoogleReaderClient;
};
typedef QSharedPointer<FeedSearchResultsReply> FeedSearchResultsReplyPtr;
} // namespace GoogleReader
#endif // FEEDSEARCHRESULTSREPLY_H
